#ifndef __CONTROL_H
#define __CONTROL_H


#include <dos.h>
#include <math.h>
#include <stdlib.h>
#include "moteurs.h"

#define WheelRayonR	30.925  //a augmenter si le robot devie a gauche
#define WheelRayonL	30.925  
#define WheelAxis 	322.0
#define K 100.0
#define Ki 0.05
#define Kp 4
//#define CommandeL 65	//de 0 a 65
//#define CommandeR 65
#define PI 	3.141592654

double	Xrobot=(3000-340);//205position du robot suivant l'axe X
double	Yrobot=240;//240position du robot suivant l'axe Y
double	PsiRobot=PI;//angle du robot
double	Xt[10]={1780.00,1780.00,1500.00 };//coordonnes des points en X
double	Yt[10]={500.00,1450.00,1450.00 };//coordonnes des points en Y
char flagtarget=1;//defini si la cible est atteinte
unsigned long int NbIt=0;//variable  qui compte le nombre d'interruption realise
int nbimpulsionL=0,nbimpulsionR=0;//nombre de coup sur les codeurs entre deux interruptions
double TetaD=0,Teta=0;//angle entre le repere de la table et la cible et entre le robot et la cible 
char jack=0;//etat du jack
int CommandeL=65, CommandeR=65;// de 0 a 65
int comdirR=0 ,comdirL=0;//valeur a implementer pour realiser une commande direct des moteurs

void interrupt handler();//fonction d'interruption
void SetTimerFrequency (float);//choisi la frequence du timer
void Init_PID();//
void ret_int ();	//retour d'interruption
void Stop_PID();//
void commandedir(int motR, int motL);

int  CodeurL,CodeurR;//valeur des codeurs
int absCodeurL,absCodeurR;//valeur absolue des codeurs
static int  CodeurLvieux=0, CodeurRvieux=0,absCodeurLvieux,absCodeurRvieux;//anciennce valeur des codeur et leur valeur absolue
double SpeedWheelRadR,SpeedWheelRadL;//vitesse des roues en rad par sec
double Cp,Sp;//  cosinus et  sinus de psirobot
double SpeedL, SpeedR;//vitesse de rotation des roues commande des moteurs
double SpeedRold,SpeedLold;//ancienne vitesse de rotation des roues
double SpeedImpR=0,SpeedImpL=0;//consigne des moteurs avant asservissement vitesse
double ErreurL, ErreurR;//erreur de vitesse
double OldErreurL=0, OldErreurR=0;//ancienne erreur de vitesse
char modedirect=0;//1 si passage en mode direct
char nbpts=0;

#endif
