#include "control.c"
#include <graphics.h>
#include <math.h>
#include <dos.h>
#include "GRAPH.H"
#include <conio.h>
#include "control.h"
#include "fonction.h"
#include "clavier.h"
#include "LCD.H"
/**********************************************************************


**********************************************************************/
void main()
{
	int test;
	int lecture;
	int couleur = 0;	//0 pas dfinit encore
	char ch=0;
	char Text[100];
	unsigned char State=0;
	int nb1=0;
	int nb2=0;
	int val;
	//int val2;

	I2C_Init();
	Init_Switch();
	ClrLCD();

	do
	{
		while (!((lecture==1)||(lecture==2)))//debut ajout
		{
			EcrireLCD("  QUELLE COULEUR ?  ",20,1);
			EcrireLCD("                    ",20,2);
			EcrireLCD(" 1) EQUIPE BLEUE    ",20,3);
			EcrireLCD(" 2) EQUIPE ROUGE    ",20,4);
			lecture = LectureClavierI2C(15);
			delay(100);
		}
		if(lecture==1)
		{
			ClrLCD();
			do
			{
				EcrireLCD("   l'EQUIPE BLEUE   ",20,1);
				EcrireLCD("                    ",20,2);
				EcrireLCD(" A) ACCEPTER        ",20,3);
				EcrireLCD(" C) RETOUR          ",20,4);
				lecture = LectureClavierI2C(15);
				delay(100);
			}
			while (!((lecture==10)||(lecture==12)));
			if(lecture==10) couleur=1;
		}
		if(lecture==2)
		{
			ClrLCD();
			do
			{
				EcrireLCD("   l'EQUIPE ROUGE   ",20,1);
				EcrireLCD("                    ",20,2);
				EcrireLCD(" A) ACCEPTER        ",20,3);
				EcrireLCD(" C) RETOUR          ",20,4);
				lecture = LectureClavierI2C(15);
				delay(100);
			}
			while (!((lecture==10)||(lecture==12)));
			if(lecture==10)	couleur=2;
		}
	}
	while(!(couleur!=0));	//1 ==> bleue, 2 ==> rouge
	ClrLCD();//fin ajout

	/*while(!kbhit())
	{
		val=Jack();
		val2=BarInfra();
		printf("jack : %d\tinfrarouge : %d\n",
		val,val2);
	}*/

	SwGraphics();
	Init_Moteurs();
	Init_PID();
	Table07();

	while ((State!=255) && (ch!=27))
	{
		// Machine  tat :
		switch (State)
		{
			case 0 :    //commandedir(0,0);
						//modedirect=1;
						val=Jack();
						if (val) nb1++; else nb1=0;
						if (nb1>10) State=254;
						break;

			case 254 :  val=Jack();
						if(val==0) nb2++;else nb2=0;
						if (nb2>10)State=1;
						break;

			case 1 : 	// Trajectoire 1 :
						Xt[0]=1500.00;	Yt[0]=350.00;
						Xt[1]=1200.00;	Yt[1]=625.00; //1er pile
						Xt[2]=-1;		Yt[2]=-1;
						StartTrajectory();
						State=2;
						break;

			case 2 : 	if (flagtarget==1) State=3;
						break;

		   	case 3 :    if (NbIt>5000) State=4;
						break;

			case 4 :	Xt[0]=1295.00;	Yt[0]=650.00;
						Xt[1]=1295.00;	Yt[1]=790.00;
						Xt[2]=1295.00;	Yt[2]=810.00; //1er cendrier
						Yt[3]=-1;		Xt[3]=-1;
						StartTrajectory();
						State=5;
						break;
/*
			case 5 :    if (NbIt>10000) State=6;
						break;

			case 6 :	Xt[0]=1200.00;	Yt[0]=800.00;
						Xt[1]=2000.00;	Yt[1]=100.00;
						Xt[2]=2700.00;	Yt[2]=1200.00;
						Xt[3]=2000.00;	Yt[3]=300.00;

						Yt[4]=-1;		Xt[4]=-1;
						StartTrajectory();
						State=7;
						break;

			case 7 :    if (NbIt>15000) State=8;
						break;
			case 8 :	Xt[0]=900.00;	Yt[0]=1800.00;
						Xt[1]=2700.00;	Yt[1]=1800.00;
						Xt[2]=2700.00;	Yt[2]=1200.00;
						Xt[3]=1200.00;	Yt[3]=500.00;

						Yt[4]=-1;		Xt[4]=-1;
						StartTrajectory();
						State=9;
						break;

			case 9 :    if (NbIt>20000) State=10;
						break;

			case 10 :	Xt[0]=1900.00;	Yt[0]=200.00;
						Xt[1]=1900.00;	Yt[1]=1200.00;
						Xt[2]=2700.00;	Yt[2]=1000.00;
						Xt[3]=1200.00;	Yt[3]=1500.00;

						Yt[4]=-1;		Xt[4]=-1;
						StartTrajectory();
						State=11;
						break;*/

			case 11 : 	break;

			case 255 :  break;
		}

		// Fin du match :
		if (NbIt>45000)
		{
			printf ("Hoooo c'est dj fini ?\n");
			State=255;
		}

		// Arret en cas de problme :
		if(kbhit())
		{
			if (getch()==27) State=255;
		}

		// Affiche le robot en mode graphique

		AffRobot(Xrobot,Yrobot,PsiRobot);
		setcolor (0);
		bar (0,180,300,250);
		sprintf  (Text,"X=%2.2f Y=%2.2f Psi=%2.2f",Xrobot,Yrobot,PsiRobot);
		outtextxy (10,190,Text);
		sprintf  (Text,"val= %d nb1=%d  nb2=%d",val,nb1,nb2);
		outtextxy (10,215,Text);
		sprintf  (Text,"NbIt=%ld",NbIt);
		outtextxy (10,225,Text);
		delay (100);

	}
	Stop_PID();
}